Subject: Re: [PATCH 3/4] net-next: frags: add inetpeer frag_mem tracking

From: Richard Gobert <[email-masked]>
Date: Sun, 11 Sep 2022 13:54:52 +0200

On Thu, Sep 01, 2022 at 09:06:59AM -0700, Eric Dumazet wrote:
> It can be disabled if needed, by changing ipfrag_max_dist sysctl.

I understand your reluctance to add another dependency on inetpeer.

> Quite frankly IPv4 reassembly unit is a toy, I am always surprised
> some applications are still relying on IP fragments.

Do you think there's any room for improvement in IP fragments? I
believe that it is possible to make frags less fragile and prone
to overload in real-world scenarios.